package net.buildbox.app.ClipKeyword;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.ClipboardManager;
import android.widget.Toast;

public class MainActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // クリップボード上のテキストを取得
        ClipboardManager clipMgr = (ClipboardManager) getSystemService(CLIPBOARD_SERVICE);
        String clipText = clipMgr.getText().toString();
        
        // クリップボードが空であれば、空である旨を通知
        if (clipText.isEmpty()) {
        	Toast.makeText(this, "クリップボード上にテキストがありません", Toast.LENGTH_SHORT).show();
        	this.setResult(RESULT_CANCELED);
        } else {
        	// 処理した結果を返す
        	Intent intent = new Intent();
        	intent.putExtra(Intent.EXTRA_TEXT, clipText);
        	this.setResult(RESULT_OK, intent);
        }
        
        this.finish();
    }
}